const Scope = require('flitter-orm/src/model/Scope')

class ValidScope extends Scope {
    async filter(to_filter) {
        return to_filter.equal('valid', true)
            .greater_than('expires', new Date)
            .less_than('issued', new Date)
    }
}

module.exports = exports = ValidScope
